Name:           rpminspect-data-centos
Version:        1.4
Release:        1%{?dist}
Epoch:          1
Summary:        Build deviation compliance tool data files for CentOS
Group:          Development/Tools
License:        CC-BY-SA
URL:            https://gitlab.com/redhat/centos-stream/ci-cd/rpminspect-data-centos
Source0:        https://dcantrell.fedorapeople.org/rpminspect-data-centos/%{name}-%{version}.tar.xz
Source1:        https://dcantrell.fedorapeople.org/rpminspect-data-centos/%{name}-%{version}.tar.xz.asc
Source2:        gpgkey-62977BB9C841B965.gpg

BuildArch:      noarch

BuildRequires:  meson
BuildRequires:  ninja-build
BuildRequires:  gnupg2

Requires:       rpminspect >= 1.11

# Used by inspections enabled in the configuration file
Requires:       fedora-license-data
Requires:       xhtml1-dtds
Requires:       html401-dtds
Requires:       dash
Requires:       ksh
Requires:       zsh
Requires:       tcsh
Requires:       rc
Requires:       bash
Requires:       libabigail
Requires:       /usr/bin/annocheck

%description
CentOS and CentOS Stream specific configuration file for rpminspect
and data files used by the inspections provided by librpminspect.


%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup


%build
%meson
%meson_build


%install
%meson_install


%files
%license CC-BY-SA-4.0.txt
%doc AUTHORS README
%{_datadir}/rpminspect
%{_bindir}/rpminspect-centos


%changelog
* Thu Sep 21 2023 David Cantrell <dcantrell@redhat.com> - 1.4-1
- Upgrade to rpminspect-data-centos-1.4

* Tue Mar 14 2023 David Cantrell <dcantrell@redhat.com> - 1.2-1
- Upgrade to rpminspect-data-centos-1.2

* Fri Nov 12 2021 David Cantrell <dcantrell@redhat.com> - 1.1-1
- Upgrade to rpminspect-data-centos-1.1

* Thu Jun 24 2021 David Cantrell <dcantrell@redhat.com> - 1.0-1
- Upgrade to rpminspect-data-centos-1.0
